# Webhooks

LingoHub API V2 (Beta) · [all operations](https://developers.lingohub.com/reference/v2.md)

Receive LingoHub events at your own endpoint: manage endpoints and signing secrets, and inspect or redeliver deliveries.

## Operations

- [`GET /v2/webhook-endpoints`](https://developers.lingohub.com/reference/v2/operations/listwebhookendpoints.md): List webhook endpoints
- [`POST /v2/webhook-endpoints`](https://developers.lingohub.com/reference/v2/operations/createwebhookendpoint.md): Create a webhook endpoint
- [`POST /v2/webhook-endpoints/{webhookEndpointId}/test`](https://developers.lingohub.com/reference/v2/operations/testwebhookendpoint.md): Test a webhook endpoint
- [`POST /v2/webhook-endpoints/{webhookEndpointId}/rotate-secret`](https://developers.lingohub.com/reference/v2/operations/rotatewebhookendpointsecret.md): Rotate a webhook signing secret
- [`POST /v2/webhook-endpoints/{webhookEndpointId}/enable`](https://developers.lingohub.com/reference/v2/operations/enablewebhookendpoint.md): Enable a webhook endpoint
- [`POST /v2/webhook-endpoints/{webhookEndpointId}/disable`](https://developers.lingohub.com/reference/v2/operations/disablewebhookendpoint.md): Disable a webhook endpoint
- [`POST /v2/webhook-deliveries/{webhookDeliveryId}/redeliver`](https://developers.lingohub.com/reference/v2/operations/redeliverwebhookdelivery.md): Redeliver a webhook delivery
- [`GET /v2/webhook-endpoints/{webhookEndpointId}`](https://developers.lingohub.com/reference/v2/operations/getwebhookendpoint.md): Retrieve a webhook endpoint
- [`DELETE /v2/webhook-endpoints/{webhookEndpointId}`](https://developers.lingohub.com/reference/v2/operations/deletewebhookendpoint.md): Delete a webhook endpoint
- [`PATCH /v2/webhook-endpoints/{webhookEndpointId}`](https://developers.lingohub.com/reference/v2/operations/updatewebhookendpoint.md): Update a webhook endpoint
- [`GET /v2/webhook-event-types`](https://developers.lingohub.com/reference/v2/operations/listwebhookeventtypes.md): List webhook subscription event types
- [`GET /v2/webhook-endpoints/{webhookEndpointId}/deliveries`](https://developers.lingohub.com/reference/v2/operations/listwebhookdeliveries.md): List webhook deliveries
- [`GET /v2/webhook-deliveries/{webhookDeliveryId}`](https://developers.lingohub.com/reference/v2/operations/getwebhookdelivery.md): Retrieve a webhook delivery
